Subject: Re: bug#16493: 24.3.50; (setq search-invisible t) is useless, let's allow to turn visible-mode temporarily on

From: Noam Postavsky <[email-masked]>
Date: Tue, 30 Apr 2019 07:15:22 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Date: Tue, 30 Apr 2019 00:34:41 -0400
>> Cc: [email-masked], Stefan Monnier <[email-masked]>
>> 
>> I was thinking all this complication could be avoided if we just allowed
>> (overlay-put OVERLAY 'invisible nil) to make text visible.
>
> But we already do: overlay-get returns nil in that case, and the text
> is revealed, so the original code before your proposed changes already
> does the job.  What am I missing?  Some context where the above
> doesn't work?

Sorry, I wasn't clear.  I was talking about the situation where there is
a non-nil invisible text property (or a different existing overlay with
with a non-nil invisible property).  For example:

    (let ((p (point))
          overlay)
      (insert "(" (propertize "invisible" 'invisible t) ")")
      (setq overlay (make-overlay p (point)))
      ;; Text remains invisible.
      (overlay-put overlay 'invisible nil))